<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.bundle.min.js" integrity="sha384-Piv4xVNRyMGpqkS2by6br4gNJ7DXjqk09RmUpJ8jgGtD7zP9yug3goQfGII0yAns" crossorigin="anonymous"></script>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css" integrity="sha384-B0vP5xmATw1+K9KRQjQERJvTumQW0nPEzvF6L/Z6nronJ3oUOFUFpCjEUQouq2+l" crossorigin="anonymous">
<br>
<div class="container d-flex justify-content-center">
    <% if(error_msg.length>0){%>
        <%-include('alerts/warning.ejs');-%>
      <%}%>
</div>
<div class="container d-flex justify-content-center mt-5 mb-5">
    <div class="card" style="width: 40rem;">
        <div class="card-body">
          <h5 class="card-title text-center"> <strong>Editar Datos del Usuario <%=data.nombre%></strong> </h5>
          <p class="card-text">
              <form action="/updateuser/<%=data.idusuario%>"  method="POST">
                <div class="form-group">
                    <input id="nombre" type="text" value="<%=data.nombre%>" name="nombre" placeholder="Nombre Completo" class="form-control" min="0" required >
                </div>
                <div class="form-group">
                    <input id="email" type="text" value="<%=data.correoE%>" name="correoE" placeholder="Correo Electronico" class="form-control" min="0" required  readonly>
                </div>
                <div class="form-group">
                    <input id="contraseña" type="password" value="<%=data.contra%>" name="contra" placeholder="Contraseña" class="form-control" min="0" required >
                </div>
                <div class="form-group">
                    <input id="confirmar" type="password" value="<%=data.contra%>" name="confirmar" placeholder="Confirmar" class="form-control" min="5"  required>
                </div>
                <label for="rol">Rol del Usuario</label>
                <div class="form-group">                
                        <select name="rol" value="<%=data.rol%>" placeholder="Rol" class="form-control" required>                             
                            <option value="Reportero">Reportero</option>
                            <option value="Administrador">Administrador</option>
                          </select> 
                </div>   
                <button class="btn btn-outline-danger btn-block" type="submit"> <strong>Guardar modificacion</strong></button>
                <a href="/users" class="btn btn-outline-danger btn-block">Cancelar</a>
              </form> 
              </form>
        </div>
      </div>
</div>